# Bug reports:

## Please follow the general troubleshooting steps first:

- [ ] Are you running the latest `graph-tool` version?
- [ ] Do you observe the problem with the current git version?
- [ ] Are you using Macports or Homebrew? If yes, please submit an issue there instead: https://github.com/Homebrew/brew/issues and https://trac.macports.org/newticket
- [ ] Did you compile `graph-tool` manually?
- [ ] If you answered yes above, did you use the exact same compiler to build `graph-tool`, `boost-python` and `Python`?

Please replace this section with a brief summary of your issue.

## Do **not** forget to supply the following information:

- [ ] **A _minimal_ and _self-contained_ example that shows the problem.**
- [ ] Your operating system.
- [ ] The Python version you are using.
- [ ] If you compiled graph-tool manually: Your compiler version, as well as the version of Boost being used.
- [ ] If you are reporting a compilation error, please provide the **entire** `./configure` output, as well as the **entire** contents of the `config.log` file and the **entire** compilation output.

Do not forget to add code snippets and error messages using [Markdown](/help/user/markdown.md), i.e.

```
Insert your code/shell command/error message here.
```

_You can erase any parts of this template not applicable to your Issue._

Please note we may immediately close your issue without comment if you do not fill out the issue template and provide the requested information.
